* TEST 3
	WITH	WI=106,DE=51
	PGEN	1
	ORG	$40
PAGE0	RMB	1
	ORG	$FFF0
HIPAGE	RMB	1
	ORG	$1000
SMALLOFF1	EQU	2
SMALLOFF2	EQU	15
SMALLOFF3	EQU	-16
MEDIUMOFF1	EQU	16
MEDIUMOFF2	EQU	-17
MEDIUMOFF3	EQU	127
MEDIUMOFF4	EQU	-128
BIGOFF1	EQU	128
BIGOFF2	EQU	-129
BIGOFF3	EQU	$7FFF
	PAGE
*	NEG	00
	NEG	PAGE0
	NEG	HIPAGE
	IF	M6809
	NEG	[HIPAGE]
	FIN
	NEG	SMALLOFF1,X
	IF	M6809
	NEG	SMALLOFF2,Y
	NEG	SMALLOFF2,U
	NEG	SMALLOFF3,S
	FIN
	NEG	MEDIUMOFF1,X
	IF	M6809
	NEG	MEDIUMOFF2,Y
	NEG	MEDIUMOFF3,U
	NEG	MEDIUMOFF4,S
	FIN
	NEG	BIGOFF1,X
	IF	M6809
	NEG	BIGOFF2,Y
	NEG	BIGOFF3,U
	FIN
*
*	COM	03
	COMA
	COMB
	COM	PAGE0
	COM	HIPAGE
	IF	M6809
	COM	[HIPAGE]
	FIN
	COM	MEDIUMOFF1,X
*
*	LSR	04
	LSRA
	LSRB
	LSR	PAGE0
	LSR	HIPAGE
	IF	M6809
	LSR	[HIPAGE]
	FIN
	LSR	MEDIUMOFF1,X
*
*	ROR	06
	RORA
	RORB
	ROR	PAGE0
	ROR	HIPAGE
	IF	M6809
	ROR	[HIPAGE]
	FIN
	ROR	MEDIUMOFF1,X
*
*	ASR	07
	ASRA
	ASRB
	ASR	PAGE0
	ASR	HIPAGE
	IF	M6809
	ASR	[HIPAGE]
	FIN
	ASR	MEDIUMOFF1,X
*
*	ASL	08
	ASLA
	ASLB
	ASL	PAGE0
	ASL	HIPAGE
	IF	M6809
	ASL	[HIPAGE]
	FIN
	ASL	MEDIUMOFF1,X
*
*	LSL	08
	IF	M6809
	LSLA
	LSLB
	LSL	PAGE0
	LSL	HIPAGE
	LSL	[HIPAGE]
	LSL	MEDIUMOFF1,X
	FIN
*
*	ROL	09
	ROLA
	ROLB
	ROL	PAGE0
	ROL	HIPAGE
	IF	M6809
	ROL	[HIPAGE]
	FIN
	ROL	MEDIUMOFF1,X
*
*	DEC	0A
	DECA
	DECB
	DEC	PAGE0
	DEC	HIPAGE
	IF	M6809
	DEC	[HIPAGE]
	FIN
	DEC	MEDIUMOFF1,X
*
*	INC	0C
	INCA
	INCB
	INC	PAGE0
	INC	HIPAGE
	IF	M6809
	INC	[HIPAGE]
	FIN
	INC	MEDIUMOFF1,X
*
*	TST	0D
	TSTA
	TSTB
	TST	PAGE0
	TST	HIPAGE
	IF	M6809
	TST	[HIPAGE]
	FIN
	TST	MEDIUMOFF1,X
*
*	JMP	0E
	JMP	PAGE0
	JMP	HIPAGE
	IF	M6809
	JMP	[HIPAGE]
	FIN
	JMP	MEDIUMOFF1,X
*
*	CLR	0F
	CLRA
	CLRB
	CLR	PAGE0
	CLR	HIPAGE
	IF	M6809
	CLR	[HIPAGE]
	FIN
	CLR	MEDIUMOFF1,X
*
*	NOP	12
	NOP
*
*	SYNC	13
	SYNC
*
*	LBRA	16
	LBRA	HIPAGE
*
*	LBSR	17
	LBSR	HIPAGE
*
*	DAA	19
	DAA
*
*	ORCC	1A
	IF	M6809
	ORCC	#$FF
	FIN
*
*	ANDCC	1C
	IF	M6809
	ANDCC	#$12
	FIN
*
*	SEX	1D
	SEX
*
*	EXG	1E
	IF	M6809
	EXG	D,X
	EXG	X,Y
	EXG	Y,D
	EXG	A,B
	EXG	A,DP
	EXG	CC,B
	EXG	U,S
	EXG	PC,D
	FIN
*
*	TFR	1F
	IF	M6809
	TFR	D,X
	TFR	X,Y
	TFR	Y,D
	TFR	A,B
	TFR	A,DP
	TFR	CC,B
	TFR	U,S
	TFR	PC,D
	FIN

*	LEAX	30
THERELEAX
	IF	M6809
	LEAX	,X
	LEAX	0,Y
	LEAX	64000,X
	LEAX	-64000,U
	LEAX	17,PC
	LEAX	THERELEAX,PCR
	LEAX	THARELEAX,PCR
	LEAX	[THERELEAX]
	FIN
*
*
	IF	M6809
	LEAX	[,X]
	LEAX	[0,Y]
	LEAX	[64000,S]
	LEAX	[-64000,U]
	LEAX	[17,PC]
	LEAX	[THERELEAX,PCR]
	LEAX	[THARELEAX,PCR]
	FIN


*
*
	IF	M6809
	LEAX	A,X
	LEAX	B,Y
	FIN
THARELEAX
	IF	M6809
	LEAX	D,U
	FIN
*
	IF	M6809
	LEAX	[A,X]
	LEAX	[B,Y]
	LEAX	[D,U]
	FIN
*
*
	PAGE
	IF	M6809
	LEAX	,X+
	LEAX	,X++
	LEAX	,Y+
	LEAX	,Y++
	LEAX	,S+
	LEAX	,S++
	LEAX	,U+
	LEAX	,U++
	FIN
*
*
	IF	M6809
	LEAX	[,X++]
	LEAX	[,Y++]
	LEAX	[,S++]
	LEAX	[,U++]
	FIN
*
*
	IF	M6809
	LEAX	,-X
	LEAX	,--X
	LEAX	,-Y
	LEAX	,--Y
	LEAX	,-U
	LEAX	,--U
	LEAX	,-S
	LEAX	,--S
	FIN
*
*
	IF	M6809
	LEAX	[,--X]
	LEAX	[,--Y]
	LEAX	[,--U]
	LEAX	[,--S]
	FIN
*	LEAY	31
THERELEAY
	IF	M6809
	LEAY	,X
	LEAY	0,Y
	LEAY	64000,X
	LEAY	-64000,U
	LEAY	17,PC
	LEAY	THERELEAY,PCR
	LEAY	THARELEAY,PCR
	LEAY	[THERELEAY]
	FIN
*
*
	IF	M6809
	LEAY	[,X]
	LEAY	[0,Y]
	LEAY	[64000,S]
	LEAY	[-64000,U]
	LEAY	[17,PC]
	LEAY	[THERELEAY,PCR]
	LEAY	[THARELEAY,PCR]
	FIN


*
*
	IF	M6809
	LEAY	A,X
	LEAY	B,Y
	FIN
THARELEAY
	IF	M6809
	LEAY	D,U
	FIN
*
	IF	M6809
	LEAY	[A,X]
	LEAY	[B,Y]
	LEAY	[D,U]
	FIN
*
*
	PAGE
	IF	M6809
	LEAY	,X+
	LEAY	,X++
	LEAY	,Y+
	LEAY	,Y++
	LEAY	,S+
	LEAY	,S++
	LEAY	,U+
	LEAY	,U++
	FIN
*
*
	IF	M6809
	LEAY	[,X++]
	LEAY	[,Y++]
	LEAY	[,S++]
	LEAY	[,U++]
	FIN
*
*
	IF	M6809
	LEAY	,-X
	LEAY	,--X
	LEAY	,-Y
	LEAY	,--Y
	LEAY	,-U
	LEAY	,--U
	LEAY	,-S
	LEAY	,--S
	FIN
*
*
	IF	M6809
	LEAY	[,--X]
	LEAY	[,--Y]
	LEAY	[,--U]
	LEAY	[,--S]
	FIN
*	LEAS	32
THERELEAS
	IF	M6809
	LEAS	,X
	LEAS	0,Y
	LEAS	64000,X
	LEAS	-64000,U
	LEAS	17,PC
	LEAS	THERELEAS,PCR
	LEAS	THARELEAS,PCR
	LEAS	[THERELEAS]
	FIN
*
*
	IF	M6809
	LEAS	[,X]
	LEAS	[0,Y]
	LEAS	[64000,S]
	LEAS	[-64000,U]
	LEAS	[17,PC]
	LEAS	[THERELEAS,PCR]
	LEAS	[THARELEAS,PCR]
	FIN


*
*
	IF	M6809
	LEAS	A,X
	LEAS	B,Y
	FIN
THARELEAS
	IF	M6809
	LEAS	D,U
	FIN
*
	IF	M6809
	LEAS	[A,X]
	LEAS	[B,Y]
	LEAS	[D,U]
	FIN
*
*
	PAGE
	IF	M6809
	LEAS	,X+
	LEAS	,X++
	LEAS	,Y+
	LEAS	,Y++
	LEAS	,S+
	LEAS	,S++
	LEAS	,U+
	LEAS	,U++
	FIN
*
*
	IF	M6809
	LEAS	[,X++]
	LEAS	[,Y++]
	LEAS	[,S++]
	LEAS	[,U++]
	FIN
*
*
	IF	M6809
	LEAS	,-X
	LEAS	,--X
	LEAS	,-Y
	LEAS	,--Y
	LEAS	,-U
	LEAS	,--U
	LEAS	,-S
	LEAS	,--S
	FIN
*
*
	IF	M6809
	LEAS	[,--X]
	LEAS	[,--Y]
	LEAS	[,--U]
	LEAS	[,--S]
	FIN
*	LEAU	33
THERELEAU
	IF	M6809
	LEAU	,X
	LEAU	0,Y
	LEAU	64000,X
	LEAU	-64000,U
	LEAU	17,PC
	LEAU	THERELEAU,PCR
	LEAU	THARELEAU,PCR
	LEAU	[THERELEAU]
	FIN
*
*
	IF	M6809
	LEAU	[,X]
	LEAU	[0,Y]
	LEAU	[64000,S]
	LEAU	[-64000,U]
	LEAU	[17,PC]
	LEAU	[THERELEAU,PCR]
	LEAU	[THARELEAU,PCR]
	FIN


*
*
	IF	M6809
	LEAU	A,X
	LEAU	B,Y
	FIN
THARELEAU
	IF	M6809
	LEAU	D,U
	FIN
*
	IF	M6809
	LEAU	[A,X]
	LEAU	[B,Y]
	LEAU	[D,U]
	FIN
*
*
	PAGE
	IF	M6809
	LEAU	,X+
	LEAU	,X++
	LEAU	,Y+
	LEAU	,Y++
	LEAU	,S+
	LEAU	,S++
	LEAU	,U+
	LEAU	,U++
	FIN
*
*
	IF	M6809
	LEAU	[,X++]
	LEAU	[,Y++]
	LEAU	[,S++]
	LEAU	[,U++]
	FIN
*
*
	IF	M6809
	LEAU	,-X
	LEAU	,--X
	LEAU	,-Y
	LEAU	,--Y
	LEAU	,-U
	LEAU	,--U
	LEAU	,-S
	LEAU	,--S
	FIN
*
*
	IF	M6809
	LEAU	[,--X]
	LEAU	[,--Y]
	LEAU	[,--U]
	LEAU	[,--S]
	FIN
*
*	PSHS	34
	IF	M6809
	PSHS	PC,U,Y,X,DP,B,A,CC
	PSHS	CC,A,B,DP,X,Y,U,PC
	PSHS	X,Y,D
	PSHS	#$5A
	FIN
*
*	PULS	35
	IF	M6809
	PULS	PC,U,Y,X,DP,B,A,CC
	PULS	CC,A,B,DP,X,Y,U,PC
	PULS	X,Y,D
	PULS	#$5A
	FIN
*
*	PSHU	36
	IF	M6809
	PSHU	PC,S,Y,X,DP,B,A,CC
	PSHU	CC,A,B,DP,X,Y,S,PC
	PSHU	X,Y,D
	PSHU	#$5A
	FIN
*
*	PULU	37
	IF	M6809
	PULU	PC,S,Y,X,DP,B,A,CC
	PULU	CC,A,B,DP,X,Y,S,PC
	PULU	X,Y,D
	PULU	#$5A
	FIN
*
*	RTS	39
	RTS
*
*	ABX	3A
	IF	M6809
	ABX
	FIN
*
*	RTI	3B
	RTI
*
*	CWAI	3C
	CWAI	#$7A
*
*	MUL	3D
	MUL
*
*	SWI	3F
	SWI
	PAGE	DIDATIC INSTRUCTIONS
*
*	SUBA	80
	SUBA	PAGE0
	SUBA	HIPAGE
	IF	M6809
	SUBA	[HIPAGE]
	FIN
	SUBA	#$FF
*
*	CMPA	81
	CMPA	PAGE0
	CMPA	HIPAGE
	IF	M6809
	CMPA	[HIPAGE]
	FIN
	CMPA	#$FF
*
*	SBCA	82
	SBCA	PAGE0
	SBCA	HIPAGE
	IF	M6809
	SBCA	[HIPAGE]
	FIN
	SBCA	#$FF
*
*	SUBD	83
	IF	M6809
	SUBD	PAGE0
	SUBD	HIPAGE
	SUBD	[HIPAGE]
	SUBD	#$FF
	FIN
*
*	ANDA	84
	ANDA	PAGE0
	ANDA	HIPAGE
	IF	M6809
	ANDA	[HIPAGE]
	FIN
	ANDA	#$FF
*
*	BITA	85
	BITA	PAGE0
	BITA	HIPAGE
	IF	M6809
	BITA	[HIPAGE]
	FIN
	BITA	#$FF
	PAGE
*
*	LDA	86
	LDAA	PAGE0
	IF	M6809
	LDA	PAGE0
	FIN
	LDAA	HIPAGE
	IF	M6809
	LDA	HIPAGE
	LDAA	[HIPAGE]
	LDA	[HIPAGE]
	FIN
	LDAA	#$FF
	IF	M6809
	LDA	#$FF
	FIN
*
*	STA	97
	STAA	PAGE0
	IF	M6809
	STA	PAGE0
	FIN
	STAA	HIPAGE
	IF	M6809
	STA	HIPAGE
	STAA	[HIPAGE]
	STA	[HIPAGE]
	FIN
*
*	EORA	88
	EORA	PAGE0
	EORA	HIPAGE
	IF	M6809
	EORA	[HIPAGE]
	FIN
	EORA	#$FF
*
*	ADCA	89
	ADCA	PAGE0
	ADCA	HIPAGE
	IF	M6809
	ADCA	[HIPAGE]
	FIN
	ADCA	#$FF
*
*	ORA	8A
	ORAA	PAGE0
	IF	M6809
	ORA	PAGE0
	FIN
	ORAA	HIPAGE
	IF	M6809
	ORA	HIPAGE
	ORAA	[HIPAGE]
	ORA	[HIPAGE]
	FIN
	ORAA	#$FF
	IF	M6809
	ORA	#$FF
	FIN
*
*	ADDA	8B
	ADDA	PAGE0
	ADDA	HIPAGE
	IF	M6809
	ADDA	[HIPAGE]
	FIN
	ADDA	#$FF
	PAGE
*
*	CMPX	8C
	CPX	PAGE0
	IF	M6809
	CMPX	PAGE0
	FIN
	CPX	HIPAGE
	IF	M6809
	CMPX	HIPAGE
	CPX	[HIPAGE]
	CMPX	[HIPAGE]
	FIN
	CPX	#$FF
	IF	M6809
	CMPX	#$FF
	FIN
*
*	JSR	9D
	JSR	PAGE0
	JSR	HIPAGE
	IF	M6809
	JSR	[HIPAGE]
	FIN
*
*	LDX	8E
	LDX	PAGE0
	LDX	HIPAGE
	IF	M6809
	LDX	[HIPAGE]
	FIN
	LDX	#$FF
*
*	STX	9F
	STX	PAGE0
	STX	HIPAGE
	IF	M6809
	STX	[HIPAGE]
	FIN
	PAGE	DIDATIC INSTRUCTIONS
*
*	SUBB	C0
	SUBB	PAGE0
	SUBB	HIPAGE
	IF	M6809
	SUBB	[HIPAGE]
	FIN
	SUBB	#$FF
*
*	CMPB	C1
	CMPB	PAGE0
	CMPB	HIPAGE
	IF	M6809
	CMPB	[HIPAGE]
	FIN
	CMPB	#$FF
*
*	SBCB	C2
	SBCB	PAGE0
	SBCB	HIPAGE
	IF	M6809
	SBCB	[HIPAGE]
	FIN
	SBCB	#$FF
*
*	ADDD	C3
	IF	M6809
	ADDD	PAGE0
	ADDD	HIPAGE
	ADDD	[HIPAGE]
	ADDD	#$FF
	FIN
*
*	ANDB	C4
	ANDB	PAGE0
	ANDB	HIPAGE
	IF	M6809
	ANDB	[HIPAGE]
	FIN
	ANDB	#$FF
*
*	BITB	C5
	BITB	PAGE0
	BITB	HIPAGE
	IF	M6809
	BITB	[HIPAGE]
	FIN
	BITB	#$FF
	PAGE
*
*	LDB	C6
	LDAB	PAGE0
	IF	M6809
	LDB	PAGE0
	FIN
	LDAB	HIPAGE
	IF	M6809
	LDB	HIPAGE
	LDAB	[HIPAGE]
	LDB	[HIPAGE]
	FIN
	LDAB	#$FF
	IF	M6809
	LDB	#$FF
	FIN
*
*	STB	D7
	STAB	PAGE0
	IF	M6809
	STB	PAGE0
	FIN
	STAB	HIPAGE
	IF	M6809
	STB	HIPAGE
	STAB	[HIPAGE]
	STB	[HIPAGE]
	FIN
*
*	EORB	C8
	EORB	PAGE0
	EORB	HIPAGE
	IF	M6809
	EORB	[HIPAGE]
	FIN
	EORB	#$FF
*
*	ADCB	C9
	ADCB	PAGE0
	ADCB	HIPAGE
	IF	M6809
	ADCB	[HIPAGE]
	FIN
	ADCB	#$FF
*
*	ORB	CA
	ORAB	PAGE0
	IF	M6809
	ORB	PAGE0
	FIN
	ORAB	HIPAGE
	IF	M6809
	ORB	HIPAGE
	ORAB	[HIPAGE]
	ORB	[HIPAGE]
	FIN
	ORAB	#$FF
	IF	M6809
	ORB	#$FF
	FIN
*
*	ADDB	CB
	ADDB	PAGE0
	ADDB	HIPAGE
	IF	M6809
	ADDB	[HIPAGE]
	FIN
	ADDB	#$FF
	PAGE
*
*	LDD	CC
	IF	M6809
	LDD	PAGE0
	LDD	HIPAGE
	LDD	[HIPAGE]
	LDD	#$FF
	FIN
*
*	STD	DD
	IF	M6809
	STD	PAGE0
	STD	HIPAGE
	STD	[HIPAGE]
	FIN
*
*	LDU	CE
	IF	M6809
	LDU	PAGE0
	LDU	HIPAGE
	LDU	[HIPAGE]
	LDU	#$FF
	FIN
*
*	STU	CF
	IF	M6809
	STU	PAGE0
	STU	HIPAGE
	STU	[HIPAGE]
	FIN
	PAGE	PAGE 2 DIDATICS
*
*	CMPD	1083
	IF	M6809
	CMPD	PAGE0
	CMPD	#$1234
	CMPD	HIPAGE
	CMPD	[HIPAGE]
	FIN
*
*	CMPY	108C
	IF	M6809
	CMPY	PAGE0
	CMPY	#$1234
	CMPY	HIPAGE
	CMPY	[HIPAGE]
	FIN
*
*	LDY	108E
	IF	M6809
	LDY	PAGE0
	LDY	#$1234
	LDY	HIPAGE
	LDY	[HIPAGE]
	FIN
*
*	STY	109F
	IF	M6809
	STY	PAGE0
	STY	HIPAGE
	STY	[HIPAGE]
	FIN
*
*	LDS	10CE
	LDS	PAGE0
	LDS	#$1234
	LDS	HIPAGE
	IF	M6809
	LDS	[HIPAGE]
	FIN
*
*	STS	10DF
	STS	PAGE0
	STS	HIPAGE
	IF	M6809
	STS	[HIPAGE]
	FIN
*
*	CMPU	1183
	IF	M6809
	CMPU	PAGE0
	CMPU	#$1234
	CMPU	HIPAGE
	CMPU	[HIPAGE]
	FIN
*
*	CMPS	118C
	IF	M6809
	CMPS	PAGE0
	CMPS	#$1234
	CMPS	HIPAGE
	CMPS	[HIPAGE]
	FIN
	PAGE	PAGE 2 MONATICS
*
*	SWI2	103F
	SWI2
*
*	SWI3	113F
	SWI3
	PAGE	BRANCHES
*
*	BRA	20
	BRA	*'
*
*	BRN	21
	BRN	*'
*
*	BHI	22
	BHI	*'
*
*	BLS	23
	BLS	*'
*
*	BHS	24
	BHS	*'
*
*	BCC	24
	BCC	*'
*
*	BLO	25
	BLO	*'
*
*	BCS	25
	BCS	*'
*
*	BNE	26
	BNE	*'
*
*	BEQ	27
	BEQ	*'
*
*	BVC	28
	BVC	*'
*
*	BVS	29
	BVS	*'
*
*	BPL	2A
	BPL	*'
*
*	BMI	2B
	BMI	*'
*
*	BGE	2C
	BGE	*'
*
*	BLT	2D
	BLT	*'
*
*	BGT	2E
	BGT	*'
*
*	BLE	2F
	BLE	*'
	PAGE	LONG BRANCHES
*
*	LBRA	1020
	LBRA	*'
*
*	LBRN	1021
	LBRN	*'
*
*	LBHI	1022
	LBHI	*'
*
*	LBLS	1023
	LBLS	*'
*
*	LBHS	1024
	LBHS	*'
*
*	LBCC	1024
	LBCC	*'
*
*	LBLO	1025
	LBLO	*'
*
*	LBCS	1025
	LBCS	*'
*
*	LBNE	1026
	LBNE	*'
*
*	LBEQ	1027
	LBEQ	*'
*
*	LBVC	1028
	LBVC	*'
*
*	LBVS	1029
	LBVS	*'
*
*	LBPL	102A
	LBPL	*'
*
*	LBMI	102LB
	LBMI	*'
*
*	BGE	102C
	LBGE	*'
*
*	LBLT	102D
	LBLT	*'
*
*	LBGT	102E
	LBGT	*'
*
*	LBLE	102F
	LBLE	*'
	PAGE	Micros Test
	ABA
	IF	M6809
	PSHS	B
	ADDA	,S+
	FIN

	CBA
	IF	M6809
	PSHS	B
	CMPA	,S+
	FIN

	CLC
	IF	M6809
	ANDCC	#$FE
	FIN

	CLI
	IF	M6809
	ANDCC	#$EF
	FIN

	CLV
	IF	M6809
	ANDCC	#$FD
	FIN

	DES
	IF	M6809
	LEAS	-1,S
	FIN

	DEX
	IF	M6809
	LEAX	-1,X
	FIN

	INS
	IF	M6809
	LEAS	1,S
	FIN

	INX
	IF	M6809
	LEAX	1,X
	FIN

	PSHA
	IF	M6809
	PSHS	A
	FIN

	PSHB
	IF	M6809
	PSHS	B
	FIN

	PULA
	IF	M6809
	PULS	A
	FIN

	PULB
	IF	M6809
	PULS	B
	FIN

	SBA
	IF	M6809
	PSHS	B
	SUBA	,S+
	FIN

	SEC
	IF	M6809
	ORCC	#$01
	FIN

	SEI
	IF	M6809
	ORCC	#$10
	FIN

	SEV
	IF	M6809
	ORCC	#$02
	FIN

	TAB
	IF	M6809
	TFR	A,B
	FIN
	TSTA

	TAP
	IF	M6809
	TFR	A,CC
	FIN

	TBA
	IF	M6809
	TFR	B,A
	FIN
	TSTA

	TDX
	IF	M6809
	TFR	D,X
	FIN

	TPA
	IF	M6809
	TFR	CC,A
	FIN

	TSX
	IF	M6809
	TFR	S,X
	FIN

	TXD
	IF	M6809
	TFR	X,D
	FIN

	TXS
	IF	M6809
	TFR	X,S
	FIN

	WAI
	CWAI	#$FF
********** floating point stuff **************
	PGEN	1
	ORG	$1000
	FFC	909090909
	FFC	1
	FFC	2
	FFC	3
	FFC	4
	FFC	5
	FFC	6
	FFC	7
	FFC	8
	FFC	9
	FFC	10
	FFC	11
	FFC	12
	FFC	100
	FFC	1000
	FFC	99
	FFC	199
	FFC	99999999
	FFC	12345.6789
	FFC	1234E56
	FFC	123.4E-10
	FFC	-4321
	FFC	-777.77E-7
	END
